/*
 * led.h
 *
 *  Created on: Jul 27, 2024
 *      Author: true
 */

#ifndef USER_SRC_LED_H_
#define USER_SRC_LED_H_



#include <stdint.h>

#include "31fl3729.h"



#define FL3729_ADDR         (FL3729_BASE_ADDR | FL3729_ADPIN_GND)



extern uint16_t rgb[9][3];
extern uint8_t  cursor[3];



void led_init();

void led_is_updated();
void led_send();

uint8_t led_gamma(uint8_t in);



#endif /* USER_SRC_LED_H_ */
